Subject: Re: bug#878: loginctl[2676]: Failed to connect to bus: No such file or directory

From: Andrew Bower <[email-masked]>
Date: Sun, 16 Mar 2025 09:22:13 +0000

Hi Mark,

On Sat, Mar 08, 2025 at 06:29:08PM +0000, Mark Hindley wrote:
> Thanks for this. However, I cannot reproduce on a sysvinit ceres system. I
> wonder if it is a failure in the runit dbus scripts?

Sorry for the delay checking this.

You are probably right to suggest that it is much more likely to be an
issue with the startup sequencing under runit than a bug in src:elogind.

I just tried with the pending runit-service that includes

https://salsa.debian.org/debian/runit-services/-/commit/a143a4ed2970ab805a8402da928506f108f8d924

to improve dbus readiness checking but that didn't help. Perhaps I
should check on a Debian/runit host so this ends up in the right BTS.

> On Fri, Mar 07, 2025 at 07:07:43PM +0000, Andrew Bower wrote:
> > 
> > I see this reported through syslog at the error level:
> > 
> >   loginctl[2676]: Failed to connect to bus: No such file or directory
> 
> Is this every time or only the first time?

Once on startup. I've not noticed any functional degradation.

> That sounds as if system dbus isn't running. What is the output of
> 
>  ps -lfC dbus-daemon

F S UID        PID  PPID  C PRI  NI ADDR SZ WCHAN  STIME TTY          TIME CMD
4 S message+  2879  2867  3  80   0 -  1777 -      09:07 ?        00:00:07 /usr/bin/dbus-daemon --system --nofork --nopidfile
1 S ajb85     4527     1  0  80   0 -  1669 -      09:08 ?        00:00:00 /usr/bin/dbus-daemon --syslog --fork --print-pid 5 --print-address 7 --session
0 S ajb85     4566  4560  0  80   0 -  1514 -      09:08 ?        00:00:00 /usr/bin/dbus-daemon --config-file=/usr/share/defaults/at-spi2/accessibility.conf --nofork --print-address 11 --address=unix:path=/run/user/1000/at-spi/bus_0.0

> If the system bus *is* running, what does
> 
>  busctl
> 
> show?

NAME                                  PID PROCESS         USER    CONNECTION    UNIT   SESSION DESCRIPTION
:1.0                                 2887 cupsd           root    :1.0          -      -       -
:1.1                                 3359 colord          colord  :1.1          -      -       -
:1.11                                2919 NetworkManager  root    :1.11         -      -       -
:1.13                                2985 power-profiles- root    :1.13         -      -       -
:1.14                                3516 polkitd         polkitd :1.14         -      -       -
:1.17                                3530 saned           saned   :1.17         -      -       -
:1.19                                3017 bluetoothd      root    :1.19         -      -       -
:1.25                                3021 elogind         root    :1.25         -      -       -
:1.27                                2789 cups-browsed    root    :1.27         -      -       -
:1.28                                2789 cups-browsed    root    :1.28         -      -       -
:1.29                                3737 wpa_supplicant  root    :1.29         -      -       -
:1.30                                3739 ModemManager    root    :1.30         -      -       -
:1.32                                4074 python3         root    :1.32         docker -       -
:1.35                                4195 dbus            lp      :1.35         -      -       -
:1.37                                4475 gnome-keyring-d ajb85   :1.37         1      -       -
:1.38                                4479 xfce4-session   ajb85   :1.38         1      -       -
:1.39                                4656 xfce4-panel     ajb85   :1.39         1      -       -
:1.4                                 3497 dbus            lp      :1.4          -      -       -
:1.40                                4676 xfce4-power-man ajb85   :1.40         1      -       -
:1.41                                4712 upowerd         root    :1.41         -      -       -
:1.43                                4673 wrapper-2.0     ajb85   :1.43         1      -       -
:1.44                                4756 xdg-desktop-por ajb85   :1.44         1      -       -
:1.45                                4773 gvfs-udisks2-vo ajb85   :1.45         1      -       -
:1.46                                4729 xdg-desktop-por ajb85   :1.46         1      -       -
:1.47                                4779 udisksd         root    :1.47         -      -       -
:1.48                                4790 rtkit-daemon    root    :1.48         -      -       -
:1.49                                4672 wrapper-2.0     ajb85   :1.49         1      -       -
:1.5                                 3495 dbus            lp      :1.5          -      -       -
:1.51                                4877 agent           ajb85   :1.51         1      -       -
:1.52                                4890 xscreensaver-sy ajb85   :1.52         1      -       -
:1.53                                4903 xiccd           ajb85   :1.53         1      -       -
:1.54                                4891 polkit-gnome-au ajb85   :1.54         1      -       -
:1.55                                4871 nm-applet       ajb85   :1.55         1      -       -
:1.56                                4901 applet.py       ajb85   :1.56         1      -       -
:1.57                                4857 wireplumber     ajb85   :1.57         1      -       -
:1.58                                4857 wireplumber     ajb85   :1.58         1      -       -
:1.6                                 3496 dbus            lp      :1.6          -      -       -
:1.60                                4675 nextcloud       ajb85   :1.60         1      -       -
:1.63                                6357 busctl          root    :1.63         1      -       -
:1.9                                 2980 avahi-daemon    avahi   :1.9          -      -       -
com.redhat.NewPrinterNotification    4901 applet.py       ajb85   :1.56         1      -       -
com.redhat.PrinterDriversInstaller   4901 applet.py       ajb85   :1.56         1      -       -
fi.w1.wpa_supplicant1                3737 wpa_supplicant  root    :1.29         -      -       -
net.hadess.PowerProfiles             2985 power-profiles- root    :1.13         -      -       -
org.bluez                            3017 bluetoothd      root    :1.19         -      -       -
org.freedesktop.Avahi                2980 avahi-daemon    avahi   :1.9          -      -       -
org.freedesktop.ColorManager         3359 colord          colord  :1.1          -      -       -
org.freedesktop.DBus                 2879 dbus-daemon     root    -             -      -       -
org.freedesktop.GeoClue2                - -               -       (activatable) -      -       -
org.freedesktop.ModemManager1        3739 ModemManager    root    :1.30         -      -       -
org.freedesktop.NetworkManager       2919 NetworkManager  root    :1.11         -      -       -
org.freedesktop.PolicyKit1           3516 polkitd         polkitd :1.14         -      -       -
org.freedesktop.RealtimeKit1         4790 rtkit-daemon    root    :1.48         -      -       -
org.freedesktop.UDisks2              4779 udisksd         root    :1.47         -      -       -
org.freedesktop.UPower               4712 upowerd         root    :1.41         -      -       -
org.freedesktop.UPower.PowerProfiles 2985 power-profiles- root    :1.13         -      -       -
org.freedesktop.login1               3021 elogind         root    :1.25         -      -       -
org.freedesktop.nm_dispatcher           - -               -       (activatable) -      -       -
org.freedesktop.nm_priv_helper          - -               -       (activatable) -      -       -
org.opensuse.CupsPkHelper.Mechanism     - -               -       (activatable) -      -       -